#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        Ksysguard libraries
Name:           libksysguard
Version: 5.1.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  kcoreaddons-devel
BuildRequires:  kauth-devel
BuildRequires:  kcodecs-devel
BuildRequires:  kguiaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdesignerplugin-devel
BuildRequires:  karchive-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kservice-devel
BuildRequires:  kemoticons-devel
BuildRequires:  kitemviews-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  kinit-devel
BuildRequires:  knotifications-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kcompletion-devel
BuildRequires:  sonnet-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kbookmarks-devel
BuildRequires:  kjobwidgets-devel
BuildRequires:  solid-devel
BuildRequires:  kio-devel
BuildRequires:  kparts-devel
BuildRequires:  kunitconversion-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  ki18n-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kconfig-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description
Ksysguard libraries

%files
%_sysconfdir/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%_libexecdir/kauth/ksysguardprocesslist_helper
%_datadir/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%_datadir/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy

#--------------------------------------------------------------------

%define ksgrd_major 5
%define libksgrd %mklibname ksgrd %{ksgrd_major}

%package -n %libksgrd
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libksgrd
Ksysguard libraries

%files -n %libksgrd
%{_kf5_libdir}/libksgrd.so.%{ksgrd_major}*

#--------------------------------------------------------------------

%define ksignalplotter_major 5
%define libksignalplotter %mklibname ksignalplotter %{ksignalplotter_major}

%package -n %libksignalplotter
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libksignalplotter
Ksysguard libraries

%files -n %libksignalplotter
%{_kf5_libdir}/libksignalplotter.so.%{ksignalplotter_major}*

#--------------------------------------------------------------------

%define lsofui_major 5
%define liblsofui %mklibname lsofui %{lsofui_major}

%package -n %liblsofui
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %liblsofui
Ksysguard libraries

%files -n %liblsofui
%{_kf5_libdir}/liblsofui.so.%{lsofui_major}*

#--------------------------------------------------------------------

%define processcore_major 5
%define libprocesscore %mklibname processcore %{processcore_major}

%package -n %libprocesscore
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libprocesscore
Ksysguard libraries

%files -n %libprocesscore
%{_kf5_libdir}/libprocesscore.so.%{processcore_major}*

#--------------------------------------------------------------------

%define processui_major 5
%define libprocessui %mklibname processui %{processui_major}

%package -n %libprocessui
Summary:  Ksysguard libraries
Group:        System/Libraries

%description -n %libprocessui
Ksysguard libraries

%files -n %libprocessui
%{_kf5_libdir}/libprocessui.so.%{processui_major}*

#--------------------------------------------------------------------

%define ksysguard_devel %mklibname ksysguard -d

%package -n %ksysguard_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %{version}-%{release}
Requires:       %libksgrd = %{version}-%{release}
Requires:       %libprocessui = %{version}-%{release}
Requires:       %libprocesscore = %{version}-%{release}
Requires:       %liblsofui = %{version}-%{release}
Requires:       %libksignalplotter = %{version}-%{release}

Requires:       pkgconfig(Qt5DBus)

Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel

%description -n %ksysguard_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %ksysguard_devel
%_includedir/ksysguard
%_kf5_libdir/cmake/KF5SysGuard/
%_kf5_libdir/*.so
%_kf5_datadir/ksysguard/scripts

#--------------------------------------------------------------------


%prep
%setup -q -n %name-%version
%apply_patches

rm -fr po

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build



%changelog
* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804181
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-7.mga5
+ Revision: 793585
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-6.mga5
+ Revision: 746587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 681567
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-4.mga5
+ Revision: 664755
- fix -devel name

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664597
- Rename -devel

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663910
- Rename as this is not a framework
- Rename

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662799
- New version 5.0.1

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 654701
- imported package kf5-libksysguard

